<vn>
<vn-group>
	<vn-param id="user"/>
	<vn-hash-param key="user" param="user"/>
	<db-form id="user-form">
		<db-model property="model">
			<custom>
				SELECT Id_Cliente, Cliente, Telefono, movil
					FROM vn2008.Clientes WHERE Id_Cliente = #user
			</custom>
			<sql-batch property="batch">
				<custom>
					<item name="user" param="user"/>
				</custom>
			</sql-batch>
		</db-model>
	</db-form>
</vn-group>
<div id="title">
	<h1><t>AccessLog</t></h1>
</div>
<div id="form" class="access-log">
	<div class="box">
		<div class="form">
			<p>
				<htk-text form="user-form" column="Id_Cliente"/>
			</p>
			<p>
				<htk-text form="user-form" column="Cliente"/>
			</p>
			<p>
				<htk-text form="user-form" column="Telefono"/>
			</p>
			<p>
				<htk-text form="user-form" column="movil"/>
			</p>
		</div>
	</div>
	<div class="list box">
		<div>
			<htk-repeater form-id="iter">
				<db-model property="model">
					<custom>
						SELECT u.stamp, a.platform, a.browser, a.version, a.javascript, a.cookies
							FROM visitUser u
								JOIN visitAccess c ON c.id = u.accessFk
								JOIN visitAgent a ON a.id = c.agentFk
							WHERE u.userFk = #user
							ORDER BY u.stamp DESC
							LIMIT 8
					</custom>
					<sql-batch property="batch">
						<custom>
							<item name="user" param="user"/>
						</custom>
					</sql-batch>
				</db-model>
				<custom>
					<div class="item">
						<p>
							<htk-text form="iter" column="stamp" format="_%a, %e %b %Y at %T"/>
						</p>
						<p>
							<htk-text form="iter" column="platform"/> - 
							<htk-text form="iter" column="browser"/> 
							<htk-text form="iter" column="version"/>
						</p>
					</div>
				</custom>
			</htk-repeater>
		</div>
	</div>
</div>
</vn>
